Download it now!
Bug 114480 - Libreoffice Online- Document view marred by unexpected lines in view.
Summary: Libreoffice Online- Document view marred by unexpected lines in view.
Status: CLOSED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.0.0.2 target:6.1.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2017-12-15 06:04 UTC by Dark Star1
Modified: 2018-02-13 12:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenie of lool loaded document (370.02 KB, image/png)
2017-12-15 06:04 UTC, Dark Star1
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dark Star1 2017-12-15 06:04:27 UTC
Created attachment 138457 [details]
screenie of lool loaded document

I just recently built LooL from scratch (15/12/2017) The view for documents when opened is attached.
Comment 1 Aron Budea 2017-12-17 12:40:52 UTC
Right, this is a regression caused by the commit referenced below. Michael, please take a look sometimes.

https://cgit.freedesktop.org/libreoffice/core/commit/?id=268d019c4b05f37e99e1da85472dc9255f186a27
author		Michael Meeks <michael.meeks@collabora.com>	2017-11-29 21:22:51 +0000
committer	Michael Meeks <michael.meeks@collabora.com>	2017-12-01 14:18:04 +0100

Writer page shadow - avoid scaling stored bitmaps at all.
Comment 2 Michael Meeks 2017-12-18 09:21:34 UTC
Ah yes - border rendering issue.
Comment 3 Michael Meeks 2018-01-09 10:23:53 UTC
That is annoying; I spent a while looking at the translation / offset pieces there - but didn't get so far; so I reverted to the previous attempt at reducing memory use & weirdness in there =)

https://gerrit.libreoffice.org/#/c/47641/2
https://gerrit.libreoffice.org/#/c/47642/

Thanks.
Comment 4 Dark Star1 2018-01-09 10:46:15 UTC
Thanks.

I look forward to seeing the commit in the master.
I hope to be contributing to the project soon.
Comment 5 Commit Notification 2018-01-09 11:45:00 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=195ad7f4a780320f47f68b8a7dc381f8e2d492cc&h=libreoffice-6-0

tdf#114480 - Revert "Writer page shadow - avoid scaling ..."

It will be available in 6.0.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2018-01-09 12:14:38 UTC
Michael Meeks committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1c1653e4d6520aa8fbe5d3dc8a94cfb9330916cf

tdf#114480 - Revert "Writer page shadow - avoid scaling ..."

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Dark Star1 2018-02-13 12:44:05 UTC
Can confirm this is now fixed for LibreOffice Online LO Leaflet view(s).
Thanks M Meeks